Package com.documentum.fc.client.acs

# Interface IDfAcsClient

public interface IDfAcsClient
This interface provides ACS-related functionality.

Since:
  D6

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `IDfAcsClient.AcsData`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addUnavailableAcsServer(String urlString)`
  Add the specified accelerated content store (ACS) server to the list of unavailable ACS servers.
  `IDfEnumeration`
  `getAcsData(IDfSessionManager sessionManager, String docbaseName, String networkLocationIdentifier)`
  Returns an `IDfEnumeration` object that lists all `AcsData` objects for a given repository.
  `IDfEnumeration`
  `getAcsData(IDfSession session, String networkLocationIdentifier)`
  Returns an `IDfEnumeration` object that lists all `AcsData` objects for a given repository.
  `long`
  `getAcsRequestExpirationInterval()`
  Returns expiration interval being used for requests made to this ACS.
  `IDfEnumeration`
  `getAllNetworkLocations(String locale)`
  Returns an `IDfEnumeration` object that lists all `IDfNetworkLocationEntry` objects.
  `IDfEnumeration`
  `getClientNetworkLocations(String clientIPAddress, String locale)`
  Returns an `IDfEnumeration` object that lists all `IDfNetworkLocationEntry` objects.
  `IDfNetworkLocationEntry`
  `getNetworkLocation(String locationId, String locale)`
  Returns an `IDfNetworkLocationEntry` object by location identifier.
  `boolean`
  `isContentTransferCapabilityEnabled(IDfSession session, String networkLocationIdentifier, IDfContentTransferCapability capability)`
  Returns whether content transfer capability is enabled in a docbase of a given session.
  `void`
  `setAcsRequestExpirationInterval(long expirationInterval)`
  Sets an expiration interval to be used for requests made to this ACS.

- ## Method Details

  - ### getNetworkLocation

    IDfNetworkLocationEntry getNetworkLocation(String locationId, String locale) throws DfException
    Returns an `IDfNetworkLocationEntry` object by location identifier.
    Parameters:
      `locationId` - network location identifier
      `locale` - identifies the locale (currently not supported)
    Returns:
      IDfNetworkLocationEntry client network location object, or null if the location is not found.
    Throws:
      `DfException` - if a server error occurs.
    Since:
      D6

  - ### getClientNetworkLocations

    IDfEnumeration getClientNetworkLocations(String clientIPAddress, String locale) throws DfException
    Returns an `IDfEnumeration` object that lists all `IDfNetworkLocationEntry` objects.
    Parameters:
      `clientIPAddress` - client IP address If this argument is null, all IDfNetworkLocationEntry objects that can be used as a client network location for a given locale are returned.
      `locale` - identifies the locale (currently not supported)
    Returns:
      IDfEnumeration of `IDfNetworkLocationEntry` objects
    Throws:
      `DfException` - if a server error occurs.
    Since:
      D6

  - ### getAllNetworkLocations

    IDfEnumeration getAllNetworkLocations(String locale) throws DfException
    Returns an `IDfEnumeration` object that lists all `IDfNetworkLocationEntry` objects.
    Parameters:
      `locale` - identifies the locale (currently not supported)
    Returns:
      IDfEnumeration of `IDfNetworkLocationEntry` objects
    Throws:
      `DfException` - if a server error occurs.
    Since:
      D6

  - ### addUnavailableAcsServer

    void addUnavailableAcsServer(String urlString) throws DfException
    Add the specified accelerated content store (ACS) server to the list of unavailable ACS servers.
    Parameters:
      `urlString` - URL for the unavailable ACS server, expressed as a String
    Throws:
      `DfException` - if a server error occurs.
    Since:
      D6

  - ### getAcsData

    IDfEnumeration getAcsData(IDfSessionManager sessionManager, String docbaseName, String networkLocationIdentifier) throws DfException
    Returns an `IDfEnumeration` object that lists all `AcsData` objects for a given repository.
    Parameters:
      `sessionManager` - session manager object
      `docbaseName` - repository name
      `networkLocationIdentifier` - network location identifier
    Returns:
      IDfEnumeration of `AcsData` objects
    Throws:
      `DfException` - if a server error occurs.
    Since:
      D6

  - ### getAcsData

    IDfEnumeration getAcsData(IDfSession session, String networkLocationIdentifier) throws DfException
    Returns an `IDfEnumeration` object that lists all `AcsData` objects for a given repository. for a given `networkLocationIdentifier``.`
    Parameters:
      `session` - session, which MUST point to a proper repository.
      `networkLocationIdentifier` - network location identifier
    Returns:
      IDfEnumeration of `AcsData` objects
    Throws:
      `DfException` - if a server error occurs.
    Since:
      D6

  - ### isContentTransferCapabilityEnabled

    boolean isContentTransferCapabilityEnabled(IDfSession session, String networkLocationIdentifier, IDfContentTransferCapability capability) throws DfException
    Returns whether content transfer capability is enabled in a docbase of a given session.
    Parameters:
      `session` - session, which points to a correct docbase
      `networkLocationIdentifier` - user network location identifier
      `capability` - content transfer capability
    Returns:
      true, if capability is enabled, false otherwise.
    Throws:
      `DfException` - if a server error occurs.

  - ### setAcsRequestExpirationInterval

    void setAcsRequestExpirationInterval(long expirationInterval)
    Sets an expiration interval to be used for requests made to this ACS. ACS will consume this info available in the URL to decide how long the URL is valid.
    Parameters:
      `expirationInterval` - Request expiration interval

  - ### getAcsRequestExpirationInterval

    long getAcsRequestExpirationInterval()
    Returns expiration interval being used for requests made to this ACS. ACS uses this value available in the URL to decide how long the URL is valid.
    Returns:
      expirationInterval